Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360191 - No ability to restrict *_external_variables with search anymore
Summary: No ability to restrict *_external_variables with search anymore
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: orabin
QA Contact: Renzo Nuccitelli
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-26 08:15 UTC by orabin
Modified: 2019-04-01 20:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:05:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 14546 None None None 2016-07-26 08:15:35 UTC

Description orabin 2016-07-26 08:15:33 UTC
Since Foreman 1.10 it is not possible to restrict Resource="Lookup key" with search anymore. The page to edit says:
"Selected resource type does not support granular filtering, therefore you can't configure granularity"
In Foreman 1.9 this was working fine.

Comment 1 orabin 2016-07-26 08:15:38 UTC
Created from redmine issue http://projects.theforeman.org/issues/14546

Comment 2 orabin 2016-07-26 08:15:43 UTC
Upstream bug assigned to orabin@redhat.com

Comment 6 Renzo Nuccitelli 2016-11-11 17:39:43 UTC
Verified for puppet class parameters and Variable lookup key on 6.3 snap 6 version. confirmed bug still on 6.2.4.

Worth mentioning that on 6.2.4 there is a resource named "Lookup Key" but on 6.3 only on named "Variable lookup key". So I just want to make sure they are the same and this is only a renaming before changing status.

Comment 7 orabin 2016-11-12 16:58:55 UTC
LookupKey was divided into two resources in 6.3: puppet class lookup key and variable lookup key.
Puppet class lookup key is for Smart class parameters and Variable lookup key for Smart variables.

Comment 8 Renzo Nuccitelli 2016-11-14 12:33:59 UTC
I checked both resources mentioned on comment 7 and they have search enabled. So I am changing this bug as verified for version 6.3 snap 6.

Comment 10 Bryan Kearney 2018-02-21 17:05:05 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.